Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface TelephoneNumber

public interface TelephoneNumber

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Method Summary
`String` | `getAreaCode()`
`String` | `getCountryCode()`
`String` | `getExtension()`
`String` | `getNumber()`
`String` | `getType()`
`String` | `getUrl()`
`void` | `setAreaCode(String areaCode)`
`void` | `setCountryCode(String cc)`
`void` | `setExtension(String ext)`
`void` | `setNumber(String number)`
`void` | `setType(String type)`
`void` | `setUrl(String url)`

Method Detail

### getAreaCode

    public String getAreaCode()
                       throws JAXRException

  Throws:
    `JAXRException`

### getCountryCode

    public String getCountryCode()
                          throws JAXRException

  Throws:
    `JAXRException`

### getExtension

    public String getExtension()
                        throws JAXRException

  Throws:
    `JAXRException`

### getNumber

    public String getNumber()
                     throws JAXRException

  Throws:
    `JAXRException`

### getType

    public String getType()
                   throws JAXRException

  Throws:
    `JAXRException`

### getUrl

    public String getUrl()
                  throws JAXRException

  Throws:
    `JAXRException`

### setAreaCode

    public void setAreaCode(String areaCode)
                     throws JAXRException

  Throws:
    `JAXRException`

### setCountryCode

    public void setCountryCode(String cc)
                        throws JAXRException

  Throws:
    `JAXRException`

### setExtension

    public void setExtension(String ext)
                      throws JAXRException

  Throws:
    `JAXRException`

### setNumber

    public void setNumber(String number)
                   throws JAXRException

  Throws:
    `JAXRException`

### setType

    public void setType(String type)
                 throws JAXRException

  Throws:
    `JAXRException`

### setUrl

    public void setUrl(String url)
                throws JAXRException

  Throws:
    `JAXRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.